zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmort.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
gxvmort.c File Reference
`#include "gxvmort.h"`
`#include "gxvfeat.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmort

## Functions

static void | gxv_mort_chain_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_mort_coverage_validate (FT_UShort coverage, GXV_Validator valid)
static void | gxv_mort_feature_validate (GXV_mort_feature f, GXV_Validator valid)
| gxv_mort_featurearray_validate (FT_Bytes table, FT_Bytes limit, FT_ULong nFeatureFlags, GXV_Validator valid)
static void | gxv_mort_subtables_validate (FT_Bytes table, FT_Bytes limit, FT_UShort nSubtables, GXV_Validator valid)
| gxv_mort_validate (FT_Bytes table, FT_Face face, FT_Validator ftvalid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmort

Definition at line 38 of file gxvmort.c.

## Function Documentation

static void gxv_mort_chain_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 220 of file gxvmort.c.

References FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, gxv_mort_featurearray_validate(), gxv_mort_subtables_validate(), GXV_NAME_ENTER, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_mort_validate().

gxv_mort_coverage_validate | ( | FT_UShort | coverage,
|  | GXV_Validator | valid
| ) |  |

Definition at line 121 of file gxvmort.c.

References FT_UNUSED, and GXV_TRACE.

Referenced by gxv_mort_subtables_validate(), and gxv_morx_subtables_validate().

static void gxv_mort_feature_validate | ( | GXV_mort_feature | f,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 42 of file gxvmort.c.

References GXV_Feature_RegistryRec_::exclusive, GXV_Feature_RegistryRec_::existence, GXV_mort_featureRec_::featureSetting, GXV_mort_featureRec_::featureType, FT_INVALID_DATA, gxv_feat_registry, gxv_feat_registry_length, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, and GXV_Feature_RegistryRec_::nSettings.

Referenced by gxv_mort_featurearray_validate().

gxv_mort_featurearray_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | FT_ULong | nFeatureFlags,
|  | GXV_Validator | valid
| ) |  |

Definition at line 89 of file gxvmort.c.

References GXV_mort_featureRec_::disableFlags, GXV_mort_featureRec_::enableFlags, GXV_mort_featureRec_::featureSetting, GXV_mort_featureRec_::featureType, FT_INVALID_DATA, FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_MORT_FEATURE_OFF, gxv_mort_feature_validate(), GXV_NAME_ENTER, i, and IS_GXV_MORT_FEATURE_OFF.

Referenced by gxv_mort_chain_validate(), and gxv_morx_chain_validate().

static void gxv_mort_subtables_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | FT_UShort | nSubtables,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 148 of file gxvmort.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, gxv_mort_coverage_validate(), gxv_mort_subtable_type0_validate(), gxv_mort_subtable_type1_validate(), gxv_mort_subtable_type2_validate(), gxv_mort_subtable_type4_validate(), gxv_mort_subtable_type5_validate(), GXV_NAME_ENTER, GXV_TRACE, i, NULL, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_mort_chain_validate().

gxv_mort_validate | ( | FT_Bytes | table,
|  | FT_Face | face,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 257 of file gxvmort.c.

References GXV_ValidatorRec_::face, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_TRACE3, FT_TRACE4, GXV_32BIT_ALIGNMENT_VALIDATE, GXV_INIT, GXV_LIMIT_CHECK, gxv_mort_chain_validate(), GXV_TRACE, i, GXV_ValidatorRec_::root, GXV_ValidatorRec_::subtable_length, and version.